From a896bc1d79e3c00f0aacfe225499d811775616f3 Mon Sep 17 00:00:00 2001
From: Chukun Pan <amadeus@jmu.edu.cn>
Date: Sun, 10 Oct 2021 21:50:17 +0800
Subject: [PATCH] arm64: allwinner: add OF node for USB eth on NanoPi R1S H5

This adds the OF node for the USB3 ethernet adapter on the FriendlyARM
NanoPi R1S H5. Add the correct value for the RTL8153 LED configuration
register to match the blink behavior of the other port on the device.

Signed-off-by: Chukun Pan <amadeus@jmu.edu.cn>
---
 arch/arm64/boot/dts/allwinner/sun50i-h5-nanopi-r1s-h5.dts | 7 +++++++
 1 file changed, 7 insertions(+)

--- a/arch/arm64/boot/dts/allwinner/sun50i-h5-nanopi-r1s-h5.dts
+++ b/arch/arm64/boot/dts/allwinner/sun50i-h5-nanopi-r1s-h5.dts
@@ -116,6 +116,13 @@
 
 &ehci1 {
 	status = "okay";
+
+	usb-eth@1 {
+		compatible = "realtek,rtl8153";
+		reg = <1>;
+
+		realtek,led-data = <0x78>;
+	};
 };
 
 &ehci2 {
